<?php namespace Pratik\Controllers;
use CodeIgniter\Controller;
use Pratik\Config\Hocalar_Config;
use Pratik\Models\Pratik_Model;
class Hocalar extends Controller
{
	public $data = array();
	public $model ;
	public $state=false ;
    function __construct()
	{
        $this->model = new Pratik_Model();
        $this->session = \Config\Services::session();
		$this->request = \Config\Services::request();
		$this->data['module'] = 'hocalar';
    }
	public function index()
	{	
		if($this->state === false ) $this->state =  $this->request->getPostget('state');	
		if($this->state===null) $this->state=1;
		$elements = new Hocalar_Config();
		$this->data['page_title']=t_('hocalar','dersliksate_'.$this->state);		
		$this->data['elements'] = $elements->basic;	
		$this->data['state'] = $this->state;
		$this->data['menu'] =array('hocalar','hocasate_'.$this->state);		
		return view('Admin\module\module_list', array('data'=>$this->data));
	}
	public function setup()
	{
		$elements = new Hocalar_Config();
		$this->model->setupTable('hocalar',$elements->basic);
		$this->data['menu']=array('hocalar');
	}
	public function edit()
	{	
		$id =  $this->request->getPostget('id');
		$elements = new Hocalar_Config();
		//$model->setupTable('users',$elements->basic);
		$this->data['basic'] = $this->model->getBasic('hocalar', $id, $elements->basic,'',true );
		if($id==0)
		{
			$this->data['basic']['id']['val']=0;
			$this->data['basic']['ad']['val']=t_('Yeni Hoca');
			
		}
		$this->data['metas'] = $this->model->getMetas($id, 'hocalar', "",$elements->metas, 'tr_TR', 'meta', true, false);
		$this->data['page_title']=t_('Hocalar');		
		$this->data['menu']=array('hocalar','hoca_edit');
		return view('Admin\module\module_edit', array('data'=>$this->data));
	}
	//--------------------------------------------------------------------
}
